html {
    overflow-x: hidden;
}

body {
    font-family: "Public Sans", "Inter", system-ui, sans-serif;
    overflow-x: hidden;
}

/* FONTS */

.ag-note {
    font-size: 12px;
    font-weight: 500;
}

.ag-h1 {
    font-size: 70px;
    line-height: 106%;
    letter-spacing: -5%;
    font-weight: 400;
}

.ag-h4 {
    font-size: 30px;
    line-height: 106%;
    letter-spacing: -3%;
    font-weight: 500;
}

p, .p {
    font-size: 16px;
    font-weight: 300;
}

h1, .h1 {
    font-size: 70px;
    line-height: 106%;
    letter-spacing: -5%;
    font-weight: 400;
}

h2, .calculator-dots, .h2 {
    font-size: 48px;
    line-height: 106%;
    letter-spacing: -3%;
    font-weight: 500;
}

h3, .h3 {
    font-size: 38px;
    letter-spacing: -3%;
    font-weight: 600;
}

h4, .h4 {
    font-size: 30px;
    line-height: 106%;
    letter-spacing: -3%;
    font-weight: 500;
}

h5, .h5 {
    font-size: 22px;
    font-weight: 300;
}

h6, .h6 {
    font-size: 18px;
    line-height: 130%;
    letter-spacing: -3%;
    font-weight: 600;
}

.ag-buttons {
    font-size: 16px !important;
    line-height: 130% !important;
    letter-spacing: -3% !important;
    font-weight: 500 !important;
}

@media (max-width: 1024px) {
  .ag-h1 {
    font-size: 55px;
  }
  h1, .h1 {
    font-size: 55px;
  }
  h2, .calculator-dots, .h2 {
    font-size: 32px;
  }
  h6, .h6 {
    font-size: 16px;
  }
}

@media (max-width: 768px) {
    .ag-h1 {
        font-size: 48px;
    }
    .ag-h4 {
        font-size: 26px;
    }
    h1, .h1 {
        font-size: 48px;
    }
    h3, .h3 {
        font-size: 30px;
        font-weight: 500;
    }
    h4, .h4 {
        font-size: 26px;
    }
    h5, .h5 {
        font-size: 20px;
    }
    p, .p {
        font-size: 14px;
    }

}

/* Iubenda modal */
.cookie-modal {
    display: none;
    position: fixed;
    top: 0; left: 0;
    width: 100%; height: 100%;
    background: rgba(0,0,0,0.6);
    justify-content: center;
    align-items: center;
    z-index: 10000;
}
.cookie-modal-content {
    background: #fff;
    border-radius: 12px;
    width: 85%;
    height: 80%;
    overflow: hidden;
    box-shadow: 0 8px 25px rgba(0,0,0,0.3);
    position: relative;
}

.cookie-modal-content button.close-modal {
    position: absolute;
    top: 10px;
    right: 10px;
    background: #555 !important;
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 32px;
    height: 32px;
    font-size: 20px;
    cursor: pointer;
    z-index: 9999;
}

.cookie-modal iframe {
    width: 100%;
    height: 100%;
    border: none;
    pointer-events: auto;
}

.cookie-modal-content button#close-modal:hover {
    background: #000 !important;
}

.cookie-modal iframe {
    width: 100%;
    height: 100%;
    border: none;
}

.grecaptcha-badge { bottom: 80px !important; }
